Method: projects.locations.autoscalingPolicies.update

Updates (replaces) autoscaling policy.

Disabled check for updateMask, because all updates will be full replacements.

HTTP request

PUT https://dataproc.googleapis.com/v1/{policy.name=projects/*/locations/*/autoscalingPolicies/*}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
policy.name

string

Output only. The "resource name" of the autoscaling policy, as described in https://cloud.google.com/apis/design/resource_names.

  • For projects.regions.autoscalingPolicies, the resource name of the policy has the following format: projects/{projectId}/regions/{region}/autoscalingPolicies/{policyId}

  • For projects.locations.autoscalingPolicies, the resource name of the policy has the following format: projects/{projectId}/locations/{location}/autoscalingPolicies/{policyId}

Request body

The request body contains an instance of AutoscalingPolicy.

Response body

If successful, the response body contains an instance of AutoscalingPolicy.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/dataproc

For more information, see the Authentication Overview.